MARTe2-core - User story #265

String comparison with NULL
09.11.2015 17:36 - André Neto

Status: Closed Start date: 09.11.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.8 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Check that a NULL String when compared with NULL returns true.

Source code files modified

Architecture & design review
Date of the review: 09/11/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 11/11/2015

Person who did the review: R. Vitelli

Result of review: PASS

List of non-conformities: N/A.

Unit test review

Date of the review: 11/11/2015

Person who did the review: R. Vitelli
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

Associated revisions

Revision a91cd5f7 - 11.11.2015 09:40 - Llorenc Capella
#265 String comparison with NULL

Empty string test added

Revision 3447e7e7 - 11.11.2015 12:55 - Llorenc Capella
#265 String comparison_with_NULL
Empty String assignement error corrected.

Revision 0a2f223e - 11.11.2015 17:38 - Riccardo Vitelli
#265 Fixed linting errors.

Revision 14d840b8 - 12.11.2015 13:44 - Riccardo Vitelli
Merged changes to String from #265.

Fixed bug on String (copy constructor from String).

Revision 564dc3e2 - 13.11.2015 11:05 - Riccardo Vitelli
Merged #243 BasicFile and #265 String bugfixes.

History

#1 - 10.11.2015 18:34 - Riccardo Vitelli

- Assignee set to Llorenc Capella

#2 - 11.11.2015 12:56 - Llorenc Capella
- Status changed from Code: Impl to Code: Rev

#3 - 11.11.2015 12:56 - Llorenc Capella
- Assignee deleted (Llorenc Capella)

#4 - 11.11.2015 16:50 - Riccardo Vitelli

- Assignee set to Riccardo Vitelli

#5 - 11.11.2015 17:40 - Riccardo Vitelli

- Status changed from Code: Rev to Unit: Rev

#6 - 11.11.2015 17:41 - Riccardo Vitelli

- Description updated

#7 - 11.11.2015 17:49 - Riccardo Vitelli

- Status changed from Unit: Rev to Closed

#8 - 11.11.2015 17:50 - Riccardo Vitelli

- Description updated

#9 - 11.11.2015 17:50 - Riccardo Vitelli
- Assignee deleted (Riccardo Vitelli)
